Public Class DataCollection

    Private _dataCollection As Dictionary(Of String, List(Of DataItem))


    Public Sub New()
        _dataCollection = New Dictionary(Of String, List(Of DataItem))
    End Sub

#Region "Public properties"

    Friend Property DataCollection() As Dictionary(Of String, List(Of DataItem))
        Get
            Return _dataCollection
        End Get
        Set(ByVal value As Dictionary(Of String, List(Of DataItem)))
            _dataCollection = value
        End Set
    End Property

    Public ReadOnly Property Item(ByVal key As String) As List(Of DataItem)
        Get

            If _dataCollection.ContainsKey(key) Then
                Return _dataCollection.Item(key)
            Else
                Return Nothing
            End If

        End Get
    End Property

#End Region

    Friend Sub Clear()
        _dataCollection.Clear()
    End Sub

    Friend Sub GenerateData()
        Dim item As New DataItem
        Dim temp As New List(Of DataItem)
        Dim random As New Random


        For i As Integer = 1 To 5
            item = New DataItem
            temp = New List(Of DataItem)

            item.Index = i
            item.GroupDisplayText = "Group 1"
            item.ColumnLabel = "1:" & i.ToString
            item.ToolTip = "hola"
            item.Value = random.Next(100, 1000)
            item.Color = Color.ForestGreen

            temp.Add(item)
            _dataCollection.Add(item.ColumnLabel, temp)

        Next


        For i As Integer = 1 To 5
            item = New DataItem
            temp = New List(Of DataItem)

            item.Index = i
            item.GroupDisplayText = "Group 2"
            item.ColumnLabel = "2:" & i.ToString
            item.ToolTip = "hola"
            item.Value = random.Next(100, 1000)
            item.Color = Color.Red

            temp.Add(item)
            _dataCollection.Add(item.ColumnLabel, temp)

        Next

        For i As Integer = 1 To 5
            item = New DataItem
            temp = New List(Of DataItem)

            item.Index = i
            item.GroupDisplayText = "Group 3"
            item.ColumnLabel = "3:" & i.ToString
            item.ToolTip = "hola"
            item.Value = random.Next(100, 1000)
            item.Color = Color.Red

            temp.Add(item)
            _dataCollection.Add(item.ColumnLabel, temp)

        Next


    End Sub

End Class
